> ## Documentation Index
> Fetch the complete documentation index at: https://avala.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Slice Item

> Slice items (e.g. images from associated datasets).



## OpenAPI

````yaml GET /slices/{owner_name}/{slice_slug}/items/{item_uid}/
openapi: 3.0.0
info:
  title: Avala API
  description: >

    # Authentication


    ## Generating an API Key


    The Avala SDK uses API keys to authenticate requests. You can create and
    manage your API keys from the

    Settings page of Mission Control.


    Follow these steps to generate a new API key:


    1. Open your settings page by clicking on your user avatar located at the
    top right-hand corner of any
        Mission Control screen, and select `Settings`.
    2. From the left-hand sub-menu, select `Security & Identity`.

    3. Click on `New API Key`, enter a name for the key, and then click `Create
    key`.


    The new key will be automatically copied to your clipboard. Please note, for
    security reasons, the key

    will not be accessible once you close the window. Ensure you store it in a
    safe location before closing

    the pop-up modal.


    ### Video walkthrough of API key generation


    <iframe class="embedly-embed"
    src="//cdn.embedly.com/widgets/media.html?src=https%3A%2F%2F
        www.youtube.com%2Fembed%2FTYdLhkAAbLA%3Ffeature%3Doembed&display_name=YouTube&url=https%3A%2F%2F
        www.youtube.com%2Fwatch%3Fv%3DTYdLhkAAbLA&image=https%3A%2F%2Fi.ytimg.com%2Fvi%2FTYdLhkAAbLA%2F
        hqdefault.jpg&key=7788cb384c9f4d5dbbdbeffd9fe4b92f&type=text%2Fhtml&schema=youtube" width="854"
        height="480" scrolling="no" title="YouTube embed" frameborder="0" allow="autoplay;
        fullscreen; encrypted-media; picture-in-picture;" allowfullscreen="true"></iframe>


    ## Authenticating with an API Key


    This is the easiest part! Just add a header named `X-Avala-Api-Key` to your
    requests and set the

    previously generated API Key as the value.
  termsOfService: https://avala.ai/legal/terms
  contact:
    email: support@avala.ai
  version: v1
servers:
  - url: https://api.avala.ai/api/v1
security:
  - API_Key: []
  - JWT: []
tags:
  - name: datasets
    description: To be completed...
  - name: projects
    description: To be completed...
  - name: tasks
    description: List and retrieve annotation tasks.
  - name: exports
    description: To be completed...
paths:
  /slices/{owner_name}/{slice_slug}/items/{item_uid}/:
    parameters:
      - name: owner_name
        in: path
        required: true
        schema:
          type: string
      - name: slice_slug
        in: path
        required: true
        schema:
          type: string
      - name: item_uid
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - slices
      description: Slice items (e.g. images from associated datasets)
      operationId: slices_items_read
      parameters:
        - name: project_id
          in: query
          description: Show only items with tasks from given project
          schema:
            type: string
        - name: status
          in: query
          description: Show only tasks with given status
          schema:
            type: string
            enum:
              - all
              - complete
              - pending
              - skipped
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetItem'
components:
  schemas:
    DatasetItem:
      required:
        - key
      type: object
      properties:
        id:
          title: Id
          type: integer
          readOnly: true
        uid:
          title: Uid
          type: string
          format: uuid
          readOnly: true
        dataset:
          title: Dataset
          type: string
          readOnly: true
        dataset_owner_name:
          title: Dataset owner name
          description: >-
            Owner handle/slug of the item's source dataset, for dataset-scoped
            URLs (e.g. the image-segmentation submit endpoint). A slice can
            reference datasets owned by other users/orgs, so this is not
            necessarily the slice owner.
          type: string
          readOnly: true
          minLength: 1
        dataset_slug:
          title: Dataset slug
          description: Slug of the item's source dataset.
          type: string
          readOnly: true
          minLength: 1
        url:
          title: Url
          type: string
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        key:
          title: Key
          type: string
          maxLength: 1024
          minLength: 1
        gpu_texture_url:
          title: Gpu texture url
          type: string
          readOnly: true
        metadata:
          title: Metadata
          type: object
        thumbnails:
          type: array
          items:
            type: string
            nullable: true
          readOnly: true
        video_thumbnail:
          title: Video thumbnail
          description: Get the URL for the video thumbnail (.webm clip) if available.
          type: string
          readOnly: true
          minLength: 1
        export_snippet:
          title: Export snippet
          type: object
          readOnly: true
          nullable: true
        annotations:
          $ref: '#/components/schemas/DatasetItemAnnotationList'
        crop_data:
          $ref: '#/components/schemas/DatasetItemCrop'
        related_items:
          type: array
          items:
            $ref: '#/components/schemas/RelatedItem'
          readOnly: true
        related_sequence_uid:
          title: Related sequence uid
          type: string
          format: uuid
          readOnly: true
    DatasetItemAnnotationList:
      required:
        - nodes
        - projects
      type: object
      properties:
        nodes:
          type: array
          items:
            $ref: '#/components/schemas/DatasetItemAnnotationNode'
        projects:
          type: array
          items:
            $ref: '#/components/schemas/AnnotationProject'
    DatasetItemCrop:
      type: object
      properties:
        crop_annotations_in_2d:
          type: array
          items:
            $ref: '#/components/schemas/CropAnnotationsIn2dSerailizer'
          nullable: true
        crop_annotations_polygon_mask:
          description: >-
            List of coordinates for the polygon mask in the format: [[x1, y1],
            ..., [xN, yN]].
          type: array
          items:
            type: array
            items:
              type: number
            maxItems: 2
            minItems: 2
          readOnly: true
          minItems: 3
          nullable: true
        where:
          title: Where
          type: string
          enum:
            - dataset
            - sequence
            - frame
            - dataset_item
          nullable: true
    RelatedItem:
      required:
        - sensor_id
        - sensor_index
        - uid
      type: object
      properties:
        sensor_id:
          title: Sensor id
          type: string
          minLength: 1
          nullable: true
        sensor_index:
          title: Sensor index
          type: integer
          nullable: true
        uid:
          title: Uid
          type: string
          format: uuid
          nullable: true
    DatasetItemAnnotationNode:
      required:
        - annotation_info
        - status
        - uid
        - project_index
        - children
      type: object
      properties:
        annotation_info:
          $ref: '#/components/schemas/DatasetItemAnnotation'
        status:
          title: Status
          type: string
          minLength: 1
        uid:
          title: Uid
          type: string
          minLength: 1
        project_index:
          title: Project index
          type: integer
        annotator:
          $ref: '#/components/schemas/AnnotationUser'
        reviewer:
          $ref: '#/components/schemas/AnnotationUser'
        children:
          type: array
          items:
            $ref: '#/components/schemas/DatasetItemAnnotationNode'
    AnnotationProject:
      required:
        - name
      type: object
      properties:
        uid:
          title: Uid
          type: string
          format: uuid
          readOnly: true
        name:
          title: Name
          type: string
          maxLength: 100
          minLength: 1
    CropAnnotationsIn2dSerailizer:
      required:
        - z
        - classes
      type: object
      properties:
        z:
          title: Z
          type: number
        classes:
          type: array
          items:
            type: string
            minLength: 1
          minItems: 1
      nullable: true
    DatasetItemAnnotation:
      required:
        - task_name
        - task_object
        - object_uuid
      type: object
      properties:
        task_name:
          title: Task name
          type: string
          minLength: 1
        task_object:
          title: Task object
          type: string
          minLength: 1
        object_uuid:
          title: Object uuid
          type: string
          minLength: 1
          nullable: true
        data:
          title: Data
          type: object
          readOnly: true
    AnnotationUser:
      required:
        - username
      type: object
      properties:
        uid:
          title: Uid
          type: string
          format: uuid
          readOnly: true
        full_name:
          title: Full name
          type: string
          readOnly: true
        username:
          title: Username
          description: >-
            Required. 150 characters or fewer. Letters, digits and @/./+/-/_
            only.
          type: string
          pattern: ^[\w.@+-]+$
          maxLength: 150
          minLength: 1
        picture:
          title: Picture
          type: string
          format: uri
          maxLength: 2048
          nullable: true
  securitySchemes:
    API_Key:
      type: apiKey
      name: X-Avala-Api-Key
      in: header
      description: >-
        API key for authentication. Generate one in Mission Control Settings >
        Security & Identity.
    JWT:
      type: apiKey
      name: Authorization
      in: header
      description: JWT token with 'JWT' prefix, e.g., 'JWT eyJhbGciOiJIUzI1NiIsInR...'

````